import { localizeWithPath } from 'vscode/vscode/vs/nls';
import { registerColor, transparent } from 'vscode/vscode/vs/platform/theme/common/colorUtils';
import 'vscode/vscode/vs/platform/theme/common/colors/baseColors';
import 'vscode/vscode/vs/platform/theme/common/colors/chartsColors';
import { mergeCurrentHeaderBackground, mergeIncomingHeaderBackground } from 'vscode/vscode/vs/platform/theme/common/colors/editorColors';
import 'vscode/vscode/vs/platform/theme/common/colors/inputColors';
import 'vscode/vscode/vs/platform/theme/common/colors/listColors';
import 'vscode/vscode/vs/platform/theme/common/colors/menuColors';
import 'vscode/vscode/vs/platform/theme/common/colors/minimapColors';
import 'vscode/vscode/vs/platform/theme/common/colors/miscColors';
import 'vscode/vscode/vs/platform/theme/common/colors/quickpickColors';
import 'vscode/vscode/vs/platform/theme/common/colors/searchColors';

const _moduleId = "vs/workbench/contrib/mergeEditor/browser/view/colors";
registerColor('mergeEditor.change.background', '#9bb95533', ( localizeWithPath(_moduleId, 0, 'The background color for changes.')));
registerColor('mergeEditor.change.word.background', { dark: '#9ccc2c33', light: '#9ccc2c66', hcDark: '#9ccc2c33', hcLight: '#9ccc2c66', }, ( localizeWithPath(_moduleId, 1, 'The background color for word changes.')));
registerColor('mergeEditor.changeBase.background', { dark: '#4B1818FF', light: '#FFCCCCFF', hcDark: '#4B1818FF', hcLight: '#FFCCCCFF', }, ( localizeWithPath(_moduleId, 2, 'The background color for changes in base.')));
registerColor('mergeEditor.changeBase.word.background', { dark: '#6F1313FF', light: '#FFA3A3FF', hcDark: '#6F1313FF', hcLight: '#FFA3A3FF', }, ( localizeWithPath(_moduleId, 3, 'The background color for word changes in base.')));
registerColor('mergeEditor.conflict.unhandledUnfocused.border', { dark: '#ffa6007a', light: '#ffa600FF', hcDark: '#ffa6007a', hcLight: '#ffa6007a', }, ( localizeWithPath(_moduleId, 4, 'The border color of unhandled unfocused conflicts.')));
registerColor('mergeEditor.conflict.unhandledFocused.border', '#ffa600', ( localizeWithPath(_moduleId, 5, 'The border color of unhandled focused conflicts.')));
registerColor('mergeEditor.conflict.handledUnfocused.border', '#86868649', ( localizeWithPath(_moduleId, 6, 'The border color of handled unfocused conflicts.')));
registerColor('mergeEditor.conflict.handledFocused.border', '#c1c1c1cc', ( localizeWithPath(_moduleId, 7, 'The border color of handled focused conflicts.')));
const handledConflictMinimapOverViewRulerColor = registerColor('mergeEditor.conflict.handled.minimapOverViewRuler', '#adaca8ee', ( localizeWithPath(_moduleId, 8, 'The foreground color for changes in input 1.')));
const unhandledConflictMinimapOverViewRulerColor = registerColor('mergeEditor.conflict.unhandled.minimapOverViewRuler', '#fcba03FF', ( localizeWithPath(_moduleId, 9, 'The foreground color for changes in input 1.')));
registerColor('mergeEditor.conflictingLines.background', '#ffea0047', ( localizeWithPath(_moduleId, 10, 'The background of the "Conflicting Lines" text.')));
const contentTransparency = 0.4;
registerColor('mergeEditor.conflict.input1.background', ( (transparent(mergeCurrentHeaderBackground, contentTransparency))), ( localizeWithPath(_moduleId, 11, 'The background color of decorations in input 1.')));
registerColor('mergeEditor.conflict.input2.background', ( (transparent(mergeIncomingHeaderBackground, contentTransparency))), ( localizeWithPath(_moduleId, 12, 'The background color of decorations in input 2.')));

export { handledConflictMinimapOverViewRulerColor, unhandledConflictMinimapOverViewRulerColor };
